/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package DataEntryBean;

/**
 *
 * @author 1320035
 */
public class RationCardTypeDetailsBean {


    private String productType;
    private String productSubType;
    private String quantityUnit;
    private String quantity;
    private String eligibility;
    private String frequency;
    private String saleRatePerUnit;
    private String expiryDate;
    private String productTypeAmend;
    private String productSubTypeAmend;
    private String quantityUnitAmend;
    private String quantityAmend;
    private String eligibilityAmend;
    private String frequencyAmend;
    private String saleRatePerUnitAmend;
    private String expiryDateAmend;
    private String product_id;
    private String detailId;
    private String product_id_Amend;
    private String ledgerQty_remaining;

    public String getLedgerQty_remaining() {
        return ledgerQty_remaining;
    }

    public void setLedgerQty_remaining(String ledgerQty_remaining) {
        this.ledgerQty_remaining = ledgerQty_remaining;
    }

    
    public String getProduct_id_Amend() {
        return product_id_Amend;
    }

    public void setProduct_id_Amend(String product_id_Amend) {
        this.product_id_Amend = product_id_Amend;
    }



    public String getDetailId() {
        return detailId;
    }

    public void setDetailId(String detailId) {
        this.detailId = detailId;
    }

    

    public String getProduct_id() {
        return product_id;
    }

    public void setProduct_id(String product_id) {
        this.product_id = product_id;
    }

    

    public String getEligibility() {
        return eligibility;
    }

    public void setEligibility(String eligibility) {
        this.eligibility = eligibility;
    }

    public String getEligibilityAmend() {
        return eligibilityAmend;
    }

    public void setEligibilityAmend(String eligibilityAmend) {
        this.eligibilityAmend = eligibilityAmend;
    }

    public String getExpiryDate() {
        return expiryDate;
    }

    public void setExpiryDate(String expiryDate) {
        this.expiryDate = expiryDate;
    }

    public String getExpiryDateAmend() {
        return expiryDateAmend;
    }

    public void setExpiryDateAmend(String expiryDateAmend) {
        this.expiryDateAmend = expiryDateAmend;
    }

    public String getFrequency() {
        return frequency;
    }

    public void setFrequency(String frequency) {
        this.frequency = frequency;
    }

    public String getFrequencyAmend() {
        return frequencyAmend;
    }

    public void setFrequencyAmend(String frequencyAmend) {
        this.frequencyAmend = frequencyAmend;
    }

    public String getProductSubType() {
        return productSubType;
    }

    public void setProductSubType(String productSubType) {
        this.productSubType = productSubType;
    }

    public String getProductSubTypeAmend() {
        return productSubTypeAmend;
    }

    public void setProductSubTypeAmend(String productSubTypeAmend) {
        this.productSubTypeAmend = productSubTypeAmend;
    }

    public String getProductType() {
        return productType;
    }

    public void setProductType(String productType) {
        this.productType = productType;
    }

    public String getProductTypeAmend() {
        return productTypeAmend;
    }

    public void setProductTypeAmend(String productTypeAmend) {
        this.productTypeAmend = productTypeAmend;
    }

    public String getQuantity() {
        return quantity;
    }

    public void setQuantity(String quantity) {
        this.quantity = quantity;
    }

    public String getQuantityAmend() {
        return quantityAmend;
    }

    public void setQuantityAmend(String quantityAmend) {
        this.quantityAmend = quantityAmend;
    }

    public String getQuantityUnit() {
        return quantityUnit;
    }

    public void setQuantityUnit(String quantityUnit) {
        this.quantityUnit = quantityUnit;
    }

    public String getQuantityUnitAmend() {
        return quantityUnitAmend;
    }

    public void setQuantityUnitAmend(String quantityUnitAmend) {
        this.quantityUnitAmend = quantityUnitAmend;
    }

    public String getSaleRatePerUnit() {
        return saleRatePerUnit;
    }

    public void setSaleRatePerUnit(String saleRatePerUnit) {
        this.saleRatePerUnit = saleRatePerUnit;
    }

    public String getSaleRatePerUnitAmend() {
        return saleRatePerUnitAmend;
    }

    public void setSaleRatePerUnitAmend(String saleRatePerUnitAmend) {
        this.saleRatePerUnitAmend = saleRatePerUnitAmend;
    }




}
